CCLASH(1)

NAME
cclash - report clashing identifiers in C-programs

SYNOPSIS
cclash [ -l<length> ] [ -c | -m ] [ file ... ]

DESCRIPTION
Cclash prints all identifiers that don't differ in the first <length> characters. The default value for <length> is 8.

The -m option indicates that #define's must be generated for clashing identifiers. This is of course only useful if your preprocessor can distinguish between them.

The -c option indicates that a oldname=newname line must be generated for each clashing identifier. This is useful input for cid(1).

SEE ALSO
cid(1)